prime-el stable port information

Package: prime-el
Version: 1.5.1.3
Revision: 6
Description: Prime Client for Emacs
License: GPL
Maintainer: Todai Fink Team
BuildDepends: fink (>= 0.24.12)
Depends: emacsen, apel, mell, suikyo-el, prime
Source: http://prime.sourceforge.jp/src/%n-%v.tar.gz
Source-MD5: 96c8b3deaf7a456683ff36593202f603
PatchFile: %n.patch
PatchFile-MD5: d7044fa5c58ecfccd30c8ff717585fe6
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | sed 's|@VERSION@|%v-%r|g' | patch -p1
<<
ConfigureParams: --infodir='${prefix}/share/info' --mandir='${prefix}/share/man' --with-prime-el-initdir='$(emacs_sitelisp_dir)/%n' --with-prime-docdir='$(datadir)/doc/%n'
CompileScript: ./configure %c
InstallScript: <<
make install DESTDIR=%d
make install-etc DESTDIR=%d

install -m 755 -d %i/share/doc/%n/figures/screenshots
install -m 644 doc/figures/screenshots/*.png %i/share/doc/%n/figures/screenshots

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/55%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/*.html
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/55%n.el %p/etc/prime/Custom_%n.el
Homepage: http://taiyaki.org/prime/emacs/
DescDetail: <<
prime-el is an emacs client for PRIME which is Japanese PRedictive
Input Method Editor.
For more detail, please see the following web page.

http://taiyaki.org/prime/
<<

prime-el stable port .patch

diff -Naur prime-el-1.5.1.3.orig/fink/prime-el-install prime-el-1.5.1.3/fink/prime-el-install
--- prime-el-1.5.1.3.orig/fink/prime-el-install 1970-01-01 09:00:00.000000000 +0900
+++ prime-el-1.5.1.3/fink/prime-el-install 2005-03-10 14:43:38.000000000 +0900
@@ -0,0 +1,70 @@
+#! /bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/install/prime-el
+
+FLAVOR=$1
+VERSION=@VERSION@
+PACKAGE=prime-el
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo "Need argument to determine FLAVOR of emacsen"
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo "Internal error: need package name"
+ exit 1
+fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+STAMP="${ELCDIR}/compile-stamp"
+
+LOG=CompilationLog
+
+case "$FLAVOR" in
+ emacs2*)
+ /bin/echo "install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}...\c"
+ if [ -e "${STAMP}" ]; then
+ if [ "X${VERSION}" = X"$(cat ${STAMP})" ]; then
+ echo " skipped. (already compiled)"
+ exit 0
+ else
+ rm -f ${STAMP}
+ fi
+ fi
+
+ rm -rf ${ELCDIR}
+ install -m 755 -d ${ELCDIR}
+ cd ${ELDIR}
+ FILES=$(find . -name '*.el')
+ cp -R * ${ELCDIR}
+ cd ${ELCDIR}
+
+ cat << EOF > path.el
+(setq load-path (cons "contrib" (cons "." load-path)) byte-compile-warnings nil)
+EOF
+ ${FLAVOR} ${FLAGS} ${FILES} > ${LOG} 2>&1
+ gzip -9 ${LOG}
+
+ rm -f *.el
+
+ echo "${VERSION}" > ${STAMP}
+ chmod 644 ${STAMP}
+
+ echo " done."
+ ;;
+ xemacs*)
+ /bin/echo "install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}...\c"
+ rm -rf ${ELCDIR}
+ install -m 755 -d ${ELCDIR}
+ cd ${ELDIR}
+ cp contrib/*.el *.el ${ELCDIR}
+
+ echo " done. (not compiled)"
+ ;;
+ *)
+ echo "install/$PACKAGE: Ignoring emacsen flavor $FLAVOR."
+ ;;
+esac
+
+exit 0
diff -Naur prime-el-1.5.1.3.orig/fink/prime-el-remove prime-el-1.5.1.3/fink/prime-el-remove
--- prime-el-1.5.1.3.orig/fink/prime-el-remove 1970-01-01 09:00:00.000000000 +0900
+++ prime-el-1.5.1.3/fink/prime-el-remove 2005-03-10 14:44:19.000000000 +0900
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/remove/prime-el
+
+FLAVOR=$1
+PACKAGE=prime-el
+
+if [ ${FLAVOR} != emacs ]; then
+
+ echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+ rm -rf @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
diff -Naur prime-el-1.5.1.3.orig/fink/prime-el-startup prime-el-1.5.1.3/fink/prime-el-startup
--- prime-el-1.5.1.3.orig/fink/prime-el-startup 1970-01-01 09:00:00.000000000 +0900
+++ prime-el-1.5.1.3/fink/prime-el-startup 2005-03-10 14:44:38.000000000 +0900
@@ -0,0 +1,41 @@
+;;;; 55prime-el.el: init file for prime-el
+;;;; $Id: _init-prime.el.in,v 1.11 2004/01/23 22:45:08 komatsu Exp $
+;;;;
+;;;; Copyright (C) 2002,2003 Hiroyuki Komatsu
+;;;; All rights reserved.
+;;;; This is free software with ABSOLUTELY NO WARRANTY.
+;;;;
+;;;; You can redistribute it and/or modify it under the terms of
+;;;; the GNU General Public License version 2.
+
+(setq load-path
+ (cons (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/prime-el")
+ (cons (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/prime-el/contrib")
+ load-path)))
+(defvar prime-init-config-file
+ (expand-file-name (concat "@PREFIX@/etc/prime"
+ "/Custom_prime-el.el")))
+
+(defconst prime-version '("1.4.1" "2004-03-21"))
+
+(autoload 'prime-mode "prime" "Toggle PRIME mode.
+PRIME is a Japanese Predictive Input Method Editor." t)
+
+(if (functionp 'register-input-method)
+ (register-input-method "japanese-prime" "Japanese"
+ 'prime-mode ""
+ "PRIME: Japanese PRedictive IME")
+ (global-set-key "\C-\\" 'prime-mode))
+(if (and (boundp 'default-input-method)
+ (not default-input-method))
+ (setq default-input-method "japanese-prime"))
+
+(provide '55prime-el)
+;;;; Text properties for Emacs.
+; Local variables:
+; mode: emacs-lisp
+; End:

prime-el _unstable_ port information

Package: prime-el
Version: 1.5.1.3
Revision: 6
Description: Prime Client for Emacs
License: GPL
Maintainer: Todai Fink Team
BuildDepends: fink (>= 0.24.12)
Depends: emacsen, apel, mell, suikyo-el, prime
Source: http://prime.sourceforge.jp/src/%n-%v.tar.gz
Source-MD5: 96c8b3deaf7a456683ff36593202f603
PatchFile: %n.patch
PatchFile-MD5: d7044fa5c58ecfccd30c8ff717585fe6
PatchScript: <<
sed 's|@PREFIX@|%p|g' < %{PatchFile} | sed 's|@VERSION@|%v-%r|g' | patch -p1
<<
ConfigureParams: --infodir='${prefix}/share/info' --mandir='${prefix}/share/man' --with-prime-el-initdir='$(emacs_sitelisp_dir)/%n' --with-prime-docdir='$(datadir)/doc/%n'
CompileScript: ./configure %c
InstallScript: <<
make install DESTDIR=%d
make install-etc DESTDIR=%d

install -m 755 -d %i/share/doc/%n/figures/screenshots
install -m 644 doc/figures/screenshots/*.png %i/share/doc/%n/figures/screenshots

install -m 755 -d %i/etc/emacs/site-start.d
install -m 644 fink/%n-startup %i/etc/emacs/site-start.d/55%n.el

install -m 755 -d %i/lib/emacsen-common/packages/{install,remove}
install -m 755 fink/%n-install %i/lib/emacsen-common/packages/install/%n
install -m 755 fink/%n-remove %i/lib/emacsen-common/packages/remove/%n
<<
DocFiles: AUTHORS COPYING ChangeLog INSTALL NEWS README TODO doc/*.html
PostInstScript: <<
if [ "$1" = "configure" ] && [ -x %p/lib/emacsen-common/emacs-package-install ]
then
%p/lib/emacsen-common/emacs-package-install %n
fi
<<
PreRmScript: <<
if [ -x %p/lib/emacsen-common/emacs-package-remove ] ; then
%p/lib/emacsen-common/emacs-package-remove %n
fi
<<
ConfFiles: %p/etc/emacs/site-start.d/55%n.el %p/etc/prime/Custom_%n.el
Homepage: http://taiyaki.org/prime/emacs/
DescDetail: <<
prime-el is an emacs client for PRIME which is Japanese PRedictive
Input Method Editor.
For more detail, please see the following web page.

http://taiyaki.org/prime/
<<

prime-el _unstable_ port .patch

diff -Naur prime-el-1.5.1.3.orig/fink/prime-el-install prime-el-1.5.1.3/fink/prime-el-install
--- prime-el-1.5.1.3.orig/fink/prime-el-install 1970-01-01 09:00:00.000000000 +0900
+++ prime-el-1.5.1.3/fink/prime-el-install 2005-03-10 14:43:38.000000000 +0900
@@ -0,0 +1,70 @@
+#! /bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/install/prime-el
+
+FLAVOR=$1
+VERSION=@VERSION@
+PACKAGE=prime-el
+
+if [ "X${FLAVOR}" = "X" ]; then
+ echo "Need argument to determine FLAVOR of emacsen"
+ exit 1
+fi
+if [ "X${PACKAGE}" = "X" ]; then
+ echo "Internal error: need package name"
+ exit 1
+fi
+
+ELDIR=@PREFIX@/share/emacs/site-lisp/${PACKAGE}
+ELCDIR=@PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+FLAGS="${SITEFLAG} -q -batch -l path.el -f batch-byte-compile"
+STAMP="${ELCDIR}/compile-stamp"
+
+LOG=CompilationLog
+
+case "$FLAVOR" in
+ emacs2*)
+ /bin/echo "install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}...\c"
+ if [ -e "${STAMP}" ]; then
+ if [ "X${VERSION}" = X"$(cat ${STAMP})" ]; then
+ echo " skipped. (already compiled)"
+ exit 0
+ else
+ rm -f ${STAMP}
+ fi
+ fi
+
+ rm -rf ${ELCDIR}
+ install -m 755 -d ${ELCDIR}
+ cd ${ELDIR}
+ FILES=$(find . -name '*.el')
+ cp -R * ${ELCDIR}
+ cd ${ELCDIR}
+
+ cat << EOF > path.el
+(setq load-path (cons "contrib" (cons "." load-path)) byte-compile-warnings nil)
+EOF
+ ${FLAVOR} ${FLAGS} ${FILES} > ${LOG} 2>&1
+ gzip -9 ${LOG}
+
+ rm -f *.el
+
+ echo "${VERSION}" > ${STAMP}
+ chmod 644 ${STAMP}
+
+ echo " done."
+ ;;
+ xemacs*)
+ /bin/echo "install/${PACKAGE}: Handling install for emacsen flavor ${FLAVOR}...\c"
+ rm -rf ${ELCDIR}
+ install -m 755 -d ${ELCDIR}
+ cd ${ELDIR}
+ cp contrib/*.el *.el ${ELCDIR}
+
+ echo " done. (not compiled)"
+ ;;
+ *)
+ echo "install/$PACKAGE: Ignoring emacsen flavor $FLAVOR."
+ ;;
+esac
+
+exit 0
diff -Naur prime-el-1.5.1.3.orig/fink/prime-el-remove prime-el-1.5.1.3/fink/prime-el-remove
--- prime-el-1.5.1.3.orig/fink/prime-el-remove 1970-01-01 09:00:00.000000000 +0900
+++ prime-el-1.5.1.3/fink/prime-el-remove 2005-03-10 14:44:19.000000000 +0900
@@ -0,0 +1,11 @@
+#!/bin/sh -e
+# @PREFIX@/lib/emacsen-common/packages/remove/prime-el
+
+FLAVOR=$1
+PACKAGE=prime-el
+
+if [ ${FLAVOR} != emacs ]; then
+
+ echo remove/${PACKAGE}: purging byte-compiled files for ${FLAVOR}
+ rm -rf @PREFIX@/share/${FLAVOR}/site-lisp/${PACKAGE}
+fi
diff -Naur prime-el-1.5.1.3.orig/fink/prime-el-startup prime-el-1.5.1.3/fink/prime-el-startup
--- prime-el-1.5.1.3.orig/fink/prime-el-startup 1970-01-01 09:00:00.000000000 +0900
+++ prime-el-1.5.1.3/fink/prime-el-startup 2005-03-10 14:44:38.000000000 +0900
@@ -0,0 +1,41 @@
+;;;; 55prime-el.el: init file for prime-el
+;;;; $Id: _init-prime.el.in,v 1.11 2004/01/23 22:45:08 komatsu Exp $
+;;;;
+;;;; Copyright (C) 2002,2003 Hiroyuki Komatsu
+;;;; All rights reserved.
+;;;; This is free software with ABSOLUTELY NO WARRANTY.
+;;;;
+;;;; You can redistribute it and/or modify it under the terms of
+;;;; the GNU General Public License version 2.
+
+(setq load-path
+ (cons (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/prime-el")
+ (cons (concat "@PREFIX@/share/"
+ (symbol-name fink-emacs-flavor)
+ "/site-lisp/prime-el/contrib")
+ load-path)))
+(defvar prime-init-config-file
+ (expand-file-name (concat "@PREFIX@/etc/prime"
+ "/Custom_prime-el.el")))
+
+(defconst prime-version '("1.4.1" "2004-03-21"))
+
+(autoload 'prime-mode "prime" "Toggle PRIME mode.
+PRIME is a Japanese Predictive Input Method Editor." t)
+
+(if (functionp 'register-input-method)
+ (register-input-method "japanese-prime" "Japanese"
+ 'prime-mode ""
+ "PRIME: Japanese PRedictive IME")
+ (global-set-key "\C-\\" 'prime-mode))
+(if (and (boundp 'default-input-method)
+ (not default-input-method))
+ (setq default-input-method "japanese-prime"))
+
+(provide '55prime-el)
+;;;; Text properties for Emacs.
+; Local variables:
+; mode: emacs-lisp
+; End: